%define oname octavius

Name:           ocaml-%{oname}
Version:        1.2.2
Release:        %mkrel 7
Summary:        Ocamldoc comment syntax parser
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/ocaml-doc/%{oname}
Source0:        https://github.com/ocaml-doc/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam


%description
Octavius is a library to parse the ocamldoc comment syntax.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

%check
dune runtest

%files
%license LICENSE.md
%doc README.* CHANGES.md
%{_bindir}/%{oname}
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Thu May 19 2022 pterjan <pterjan> 1.2.2-7.mga9
+ Revision: 1859013
- Rebuild for OCaml 4.14

* Wed Oct 13 2021 tv <tv> 1.2.2-6.mga9
+ Revision: 1751240
- Rebuild for ocaml 4.13.1

* Sun Mar 21 2021 tv <tv> 1.2.2-5.mga9
+ Revision: 1706945
- Rebuild for ocaml 4.12

* Sun Jan 10 2021 pterjan <pterjan> 1.2.2-4.mga8
+ Revision: 1670471
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.2.2-3.mga8
+ Revision: 1551492
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.2.2-2.mga8
+ Revision: 1545103
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1.2.2-1.mga8
+ Revision: 1483805
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.2.0-5.mga7
+ Revision: 1324057
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.2.0-4.mga7
+ Revision: 1323772
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-3.mga7
+ Revision: 1299909
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 1.2.0-2.mga7
+ Revision: 1242106
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Jan 15 2018 pterjan <pterjan> 1.2.0-1.mga7
+ Revision: 1193544
- imported package ocaml-octavius

